/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package net.sf.joyaop.demo.rbac.model;

import java.util.Set;

/**
 * @author Shen Li
 */
public interface RoleOwner {
    void addRole(Role role);

    Set getRoles();

    boolean hasRole(Role role);

    void setRoles(Set roles);

    boolean hasPermission(Permission permission);

    Set getAllRoles();
}
